Dynamic Content Elements (DCE) - Bug #46994

Warning rootline utility in install tool after clear cache
2013-04-06 19:34 - Philipp Gampe

Status: Resolved Start date: 2013-04-06
Priority: Must have Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8

TYPO3 Version: 6.1

Description

1. open install tool in backend
2. clear cache

3. click on all configuration

4. see warning

| think DCE does too much too early.

PHP 5.4

Associated revisions

Revision 74663 - 2013-04-19 16:38 - Armin Vieweg

refs #46994
Fixed php warning in install when clearing cache. Tx_Extbase_Ultility_Localization::translate causes this warning so early in cache generation
process.

Revision 74663 - 2013-04-19 16:38 - Armin Vieweg

refs #46994
Fixed php warning in install when clearing cache. Tx_Extbase_Ultility_Localization::translate causes this warning so early in cache generation
process.

Revision 5751a413 - 2013-04-19 16:38 - Armin Vieweg

refs #46994
Fixed php warning in install when clearing cache. Tx_Extbase_Ultility_Localization::translate causes this warning so early in cache generation
process.

git-svn-id: https://svn.typo3.org/TYPO3v4/Extensions/dce/trunk@74663 735d13b6-9817-0410-8766-e36946ffe9aa

Revision 74664 - 2013-04-19 16:45 - Armin Vieweg

refs #46994
Bugfix in frontend, by differing TYPO3_MODE FE and BE

Revision 74664 - 2013-04-19 16:45 - Armin Vieweg

refs #46994
Bugfix in frontend, by differing TYPO3_MODE FE and BE

Revision 2afd24d3 - 2013-04-19 16:45 - Armin Vieweg

refs #46994
Bugfix in frontend, by differing TYPO3_MODE FE and BE

git-svn-id: https://svn.typo3.org/TYPO3v4/Extensions/dce/trunk@74664 735d13b6-9817-0410-8766-e36946ffe9aa

History

#1 - 2013-04-19 16:36 - Armin Vieweg

The call of Tx_Extbase_Ultility _Localization::translate creates this error (in Classes/Cache.php:117)

#2 - 2013-04-19 16:39 - Armin Vieweg
https://svn.typo3.org/TYPO3v4/Extensions/dce/trunk@74663
https://svn.typo3.org/TYPO3v4/Extensions/dce/trunk@74664

- Status changed from New to Resolved

- Target version set to 0.8
Fixed. Changed the key "generaltab" to "LLL:EXT:dce/Resources/Private/Language/locallang.xml:generaltab".

#3 - 2013-04-19 16:42 - Armin Vieweg

- Status changed from Resolved to Under Review
Oh damn... this causes errors in frontend... | need to check it.

#4 - 2013-04-19 16:46 - Armin Vieweg

- Status changed from Under Review to Resolved

Okay. | did a check on TYPO3_MODE. Not super beautiful, but it works ;-)
